Bug 206037 - (pear-Console-Table) Review Request: php-pear-Console-Table - Class that makes it easy to build console style tables
Review Request: php-pear-Console-Table - Class that makes it easy to build co...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-PHP-CompatInfo
  Show dependency treegraph
 
Reported: 2006-09-11 13:07 EDT by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-12 11:49:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-09-11 13:07:37 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Console-Table.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Console-Table-1.0.5-1.fc5.src.rpm
Description: A pear extension for php :
Provides methods such as addRow(), insertRow(), addCol() etc. to build
console tables with or without headers.

This is a requirement for php-pear-PHP-CompatInfo

rpmlint :
W: php-pear-Console-Table no-documentation
=> no document upstream and no copy found for BSD licence.

W: php-pear-Console-Table dangerous-command-in-%post install
=> rpmlint bug

Build in mock : http://remi.collet.free.fr/rpms/extras/php-pear-Console-Table-build.log

Running : "pear run-tests -p Console_Table"
Running 7 tests
...
7 PASSED TESTS
0 SKIPPED TESTS

Note : i'm searching for a solution to include the "run-tests" in the %check, but i don't find a solution (extension must be installed).
Comment 1 Christopher Stone 2006-09-11 14:05:13 EDT
- rpmlint output:
W: php-pear-Console-Table no-documentation
W: php-pear-Console-Table dangerous-command-in-%post install

Both warnings are fine.
- package is named according to Package Naming Guidelines
- spec filename matches package %{name}
- package meets Packaging Guidelines
- package licensed with open source compatible license
- license field in spec matches actual license
- source does not include copy of license
- spec file written in American english
- spec file is l3g1bL3
- sources match upstream
23c6973122c1106673c6ccce7375c4e2  Console_table-1.0.5.tgz
- package successfully compiles and builds on x86_64 FC5
- All build dependecncies are listed in BuildRequires
- package does not use locales
- package does not contain shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicate files in %files
- File permissions are set properly
- package contains proper %clean section
- macro usage is consistent
- package contains permissible code
- no large documentation files
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- no .so files
- no devel package
- no .la files
- package is not a GUI needing .desktop files
X Package owns files or directories owned by other packages


==== MUST FIX ====
- Change:

%{pear_phpdir}/Console
 
To:

%{pear_phpdir}/Console/Table.php

The %{pear_phpdir}/Console directory is owned by php-pear.  Packages that fall
under these dirs should not own them.  (NOTE:  I think you need to fix
XML_Parser for this issue as well, sorry I did not spot it earlier).
Comment 3 Remi Collet 2007-03-31 04:32:45 EDT
Package Change Request
======================
Package Name: php-pear-Console-Table
New Branches: EL-5
Comment 4 Jens Petersen 2007-04-02 09:11:55 EDT
done

Note You need to log in before you can comment on or make changes to this bug.